function [FF,FJ2,XMAX] = FFHISS(XI1,XJ2,XJ3,ALPHA,BETA,GAMMA,XN,XM,XPA,R3)
%FILE TO EVALUATE HISS FUNCTION
%JULY 2, 2007
%BILL MCCARRON
%ASGM ENGINEERING
%alphao=GAMMA*(XPA/(89000))^(XN-2);ALPHA=alphao;
XIO=XI1+R3 ;
XMAX =XPA*(GAMMA/ALPHA)^(1/(XN-2));
FF=XJ2/XPA^2 - (-ALPHA*(XIO/XPA)^XN + GAMMA*(XIO/XPA)^2)* ...
    (1-0.5*27^0.5*BETA*XJ3*XJ2^-1.5)^XM;
FJ2=XPA^2*(-ALPHA*(XIO/XPA)^XN + GAMMA*(XIO/XPA)^2)* ...
    (1-0.5*27^0.5*BETA*XJ3*XJ2^-1.5)^XM;
if FJ2 < 0.;FJ2=0.;end;